# Interface AppendTransitionOptions

interface AppendTransitionOptions {
alias?: string;
table?: UpdateTable;
transition: Transition;
}

- Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:154

#####
Index

### Properties

alias?
table?
transition

##
Properties

### `Optional` alias

alias?: string

- Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:167

### `Optional` table

table?: UpdateTable

A table name where operation must be executed

#### Default Value

    'links'

- Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:166

### transition

transition: Transition

A transition to append

If you want to insert link - the first element must be null and the second must be link. If you want to update link - the first and second elements must be links. If you want to delete link - the first element must be link and second must be null

- Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:160